View Issue Details

IDProjectCategoryLast Update
0019862AI War 2[All Projects] Balance IssueAug 26, 2018 6:56 pm
ReporterRocketAssistedPuffinAssigned ToBadgerBadger 
Severityminor 
Status resolvedResolutionfixed 
Product Version0.756 Retrieval of the Lost Arks 
Fixed in Version0.761 A Badger And A Puffin 
Summary0019862: MK4 Thanatos Ark actually downgrades in weaponry
DescriptionMK3 Thanatos is 675DPS with x10 vs Armoured hulls.

A MK4 Thanatos is 238DPS with x10 vs Structure.

The damage output of it is...bluntly, pathetic. For comparison, Missile Corvette MK1s do 3.8dps each, with x10 vs multiple hull types. You can have 240 of them, 240x3.8 is 912, being almost 4x that of a MK4 Thanatos.

I had one struggle to kill anything in an AIP 10 wave.
TagsNo tags attached.
Internal Weight

Activities

BadgerBadger

Jul 26, 2018 11:28 pm

manager   ~0048122

I threw a few buffs in to thanatos. Let me know what you think on the next release

RocketAssistedPuffin

Jul 30, 2018 3:48 pm

developer   ~0048145

Testing Thanatos now - Am I correct in that it now has two weapons, the zombifying rockets and the normal Ark weapon? It has two range circles.

The normal gun seems to be bugged - it does no damage at all, healthbars don't appear on the targets.
It's certainly improved, it can kill MK1 squads in a single salvo, but it still fires so slow it's still inconsequential.
Noticed the rocket range seems to be higher in the stats, but checking it so far it doesn't seem to be higher in practice.

I'll prod it when the stats revamp comes.

RocketAssistedPuffin

Jul 30, 2018 3:50 pm

developer   ~0048146

I'm in error - the range is higher now. Ignore that line. Might have been there before, rather forgetful lately...

BadgerBadger

Aug 7, 2018 12:38 pm

manager   ~0048209

Chris changed all this logic, see if the next release is better

RocketAssistedPuffin

Aug 26, 2018 12:43 pm

developer   ~0048345

Used my Ark fix to take it for a spin - much, MUCH better. Range is good, weaponry great, has me laughing a little at how silly the rocket spam is from this thing.

Can mark as resolved.

BadgerBadger

Aug 26, 2018 6:56 pm

manager   ~0048351

Fixed

Issue History

Date Modified Username Field Change
Jul 26, 2018 11:19 am RocketAssistedPuffin New Issue
Jul 26, 2018 11:28 pm BadgerBadger Assigned To => BadgerBadger
Jul 26, 2018 11:28 pm BadgerBadger Status new => feedback
Jul 26, 2018 11:28 pm BadgerBadger Note Added: 0048122
Jul 30, 2018 3:48 pm RocketAssistedPuffin Note Added: 0048145
Jul 30, 2018 3:48 pm RocketAssistedPuffin Status feedback => assigned
Jul 30, 2018 3:50 pm RocketAssistedPuffin Note Added: 0048146
Aug 7, 2018 12:38 pm BadgerBadger Status assigned => requires feedback
Aug 7, 2018 12:38 pm BadgerBadger Note Added: 0048209
Aug 26, 2018 12:43 pm RocketAssistedPuffin Note Added: 0048345
Aug 26, 2018 6:56 pm BadgerBadger Status requires feedback => resolved
Aug 26, 2018 6:56 pm BadgerBadger Resolution open => fixed
Aug 26, 2018 6:56 pm BadgerBadger Fixed in Version => 0.761 A Badger And A Puffin
Aug 26, 2018 6:56 pm BadgerBadger Note Added: 0048351